/*
 * globals.h - global macros for USBasp
 *
 * Autor..........: Markus B. Weber
 * Description....: see title
 * Licence........: GNU GPL v2 (see Readme.txt)
 * Creation Date..: 2012-11-02
 * Last change....: 2012-11-02
 */

#ifndef __globals_h_included__
#define	__globals_h_included__

#define USBasp_tiny

/* macros for gpio functions */
#ifdef USBasp_tiny
  #define F_CPU 12000000L  /* 12MHz */
  #define allPortsInit PORTB= 0; PORTC= 0xff; PORTD= 0xfe; \
                       DDRB= 0; DDRC= 0; DDRD= 0x03; \
                       DDRD&= ~(1<<2);  /* INT0*/
  #define ledRedOn()    PORTD &= ~(1 << PD1)
  #define ledRedOff()   PORTD |= (1 << PD1)
  #define ledGreenOn()  PORTD &= ~(1 << PD0)
  #define ledGreenOff() PORTD |= (1 << PD0)
  #define slowClockJumper ((PIND & (1 << PD3)) == 0)
  #define USBPORT_DDR DDRB
  #define USBPORT_LETTER B
  #define USBPORT_DMINUS 0
  #define USBPORT_DPLUS 1
  #define	ISP_OUT   PORTB
  #define ISP_IN    PINB
  #define ISP_DDR   DDRB
  #define ISP_RST   PB2
  #define ISP_MOSI  PB3
  #define ISP_MISO  PB4
  #define ISP_SCK   PB5
#else
  #define F_CPU 12000000L  /* 12MHz */
  #define allPortsInit PORTB= 0; PORTC= 0xfe; PORTD= 0; \
                       DDRB= 0; DDRC= 0x03; DDRD= 0; \
                       DDRD= ~(1<<2);  /* INT0*/
  #define ledRedOn()    PORTC &= ~(1 << PC1)
  #define ledRedOff()   PORTC |= (1 << PC1)
  #define ledGreenOn()  PORTC &= ~(1 << PC0)
  #define ledGreenOff() PORTC |= (1 << PC0)
  #define slowClockJumper ((PINC & (1 << PC2)) == 0)
  #define USBPORT_DDR DDRB
  #define USBPORT_LETTER B
  #define USBPORT_DMINUS 0
  #define USBPORT_DPLUS 1
  #define	ISP_OUT   PORTB
  #define ISP_IN    PINB
  #define ISP_DDR   DDRB
  #define ISP_RST   PB2
  #define ISP_MOSI  PB3
  #define ISP_MISO  PB4
  #define ISP_SCK   PB5
#endif

#ifndef __ASSEMBLER__

#endif
#endif /* __globals_h_included__ */

